# Domain Webhooks Webhooks API to manage domain-specific webhooks. You can create, retrieve, update, and delete webhooks programmatically. When triggered, webhook URLs are deduplicated by event type, across account and domain levels to prevent redundant webhook sends. ## Get domain webhooks - [GET /v3/domains/{domain}/webhooks](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/domain-webhooks/get-v3-domains--domain--webhooks.md): Returns all webhooks for the domain. ## Create a domain webhook - [POST /v3/domains/{domain}/webhooks](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/domain-webhooks/post-v3-domains--domain--webhooks.md): Create a list of webhook URLs you'd like to receive Mailgun's POST requests containing event information. ## Get domain webhooks by type - [GET /v3/domains/{domain_name}/webhooks/{webhook_name}](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/domain-webhooks/get-v3-domains--domain-name--webhooks--webhook-name-.md): Get the list of url(s) for a webhook identified by its webhook_name. ## Update domain webhook - [PUT /v3/domains/{domain_name}/webhooks/{webhook_name}](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/domain-webhooks/put-v3-domains--domain-name--webhooks--webhook-name-.md): Replace the list of urls by the given one with the param. Here is the list of supported webhook: , , , , , , and . ## Delete domain webhooks by type - [DELETE /v3/domains/{domain_name}/webhooks/{webhook_name}](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/domain-webhooks/delete-v3-domains--domain-name--webhooks--webhook-name-.md): Remove all url(s) for a specified webhook type. ## Update domain webhooks (v4) - [PUT /v4/domains/{domain}/webhooks](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/domain-webhooks/put-v4-domains--domain--webhooks.md): Update webhook URL to associate it with different event types. This replaces the existing event type associations for the given URL. ## Create domain webhooks (v4) - [POST /v4/domains/{domain}/webhooks](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/domain-webhooks/post-v4-domains--domain--webhooks.md): Create webhook URLs for multiple event types in a single operation. This v4 endpoint allows associating one URL with multiple webhook event types. ## Delete domain webhooks (v4) - [DELETE /v4/domains/{domain}/webhooks](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/domain-webhooks/delete-v4-domains--domain--webhooks.md): Delete webhook URLs from all event types they are associated with. Supports deleting multiple URLs at once by providing a comma-separated list.